﻿@using System.Web.Razor.Generator
@using System.Web.UI.WebControls
@using Saned.Shelter.Data.Core.Models
@using Saned.Shelter.PublicPanel.Resources
@model Saned.Shelter.Data.Core.Dtos.AnimalDto
@{
    ViewBag.Title = GeneralResource.Animal;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
   @if (Model != null)
   {
       <div class="details">
           @{
               var animalImages = ViewBag.animalImage as List<AnimalImage>;
           }
           @if (animalImages != null && (ViewBag.animalImage != null && animalImages.Count > 0))
           {
               foreach (var img in ViewBag.animalImage)
               {
                   <div class="col-md-4 col-xs-12">
                       <img src="@Url.Content(img.ImageUrl)" width="100%" onerror="OnImgError(this);"/>
                   </div>
               }
           }
           else
           {
               <div class="col-md-4 col-xs-12">
                   <img src="/Content/img/NoImg.jpg" width="100%"/>
               </div>
           }

       </div>
       if (Model.VedioUrl != null)
       {
           <video width="100%" height="300" controls autoplay="autoplay">
               <source src="@Url.Content(Model.VedioUrl)" type="video/mp4">
           </video>
       }

       <div class="content">
           <h2>@GeneralResource.AnimalDetails</h2>

           <div class="details-content">
               <div class="row">
                   @if (Model.AnimalName != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-list-alt" aria-hidden="true"></i>
                           <p>@Model.AnimalName</p>
                       </div>

                   }
                   @if (Model.Vaccinations != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-medkit" aria-hidden="true"></i>
                           <p>@Model.Vaccinations</p>
                       </div>

                   }
                   @if (Model.Gendre)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa-venus-mars" aria-hidden="true"></i>
                           <p>@GeneralResource.Female </p>
                       </div>
                   }
                   else
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa-venus-mars" aria-hidden="true"></i>
                           <p>@GeneralResource.Male </p>
                       </div>
                   }



                   <div class="col-md-4 col-xs-12 block">
                       <i class="fa fa-map-marker" aria-hidden="true"></i>
                       <p>@Model.City</p>
                   </div>

                   <div class="col-md-4 col-xs-12 block">
                       <i class="fa fa-list-alt" aria-hidden="true"></i>
                       <p>@Model.Category</p>
                   </div>

                   @if (Model.Shelter != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-home" aria-hidden="true"></i>
                           <p>@Model.Shelter</p>
                       </div>
                   }


                   @if (Model.UserFullName != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-home" aria-hidden="true"></i>
                           <p>@Model.UserFullName</p>
                       </div>
                   }
                   @if (Model.ShelterMobile != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-phone" aria-hidden="true"></i>
                           <p>@Model.ShelterMobile</p>
                       </div>
                   }

                   @if (Model.Mobile != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-phone"></i>
                           <p>@Model.Mobile</p>
                       </div>
                   }

                   @if (Model.Notes != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-phone"></i>
                           <p>@Model.Notes</p>
                       </div>
                   }

                   @if (Model.Age != null)
                   {
                       <div class="col-md-4 col-xs-12 block">
                           <i class="fa fa-phone"></i>
                           <p>@Model.Age</p>
                       </div>
                   }
               </div>
           </div>
       </div>
   }
   else
   {
       <div class="col-md-12 col-xs-12 alert alert-warning">
           @GeneralResource.AnimalNotFound
       </div>
   }

      
</div>


  <script>


    function OnImgError(e) {

        e.src = "/Content/img/NoImg.jpg";

    }



</script>
